# ApplicationFramework
TKCDF
CDM

# CDM_StackIteratorOfStackOfDocument Class Reference

`#include <CDM_StackIteratorOfStackOfDocument.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_StackIteratorOfStackOfDocument ()
Standard_EXPORT | CDM_StackIteratorOfStackOfDocument (const CDM_StackOfDocument &S)
Standard_EXPORT void | Initialize (const CDM_StackOfDocument &S)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_CDM_Document & | Value () const

## Private Attributes

Standard_Address | current

## Constructor & Destructor Documentation

Standard_EXPORT CDM_StackIteratorOfStackOfDocument::CDM_StackIteratorOfStackOfDocument | ( |  | ) |

Standard_EXPORT CDM_StackIteratorOfStackOfDocument::CDM_StackIteratorOfStackOfDocument | ( | const CDM_StackOfDocument & | S | ) |

## Member Function Documentation

Standard_EXPORT void CDM_StackIteratorOfStackOfDocument::Initialize | ( | const CDM_StackOfDocument & | S | ) |

Standard_Boolean CDM_StackIteratorOfStackOfDocument::More | ( |  | ) | const

Standard_EXPORT void CDM_StackIteratorOfStackOfDocument::Next | ( |  | ) |

void CDM_StackIteratorOfStackOfDocument::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_StackIteratorOfStackOfDocument::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_StackIteratorOfStackOfDocument::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_CDM_Document& CDM_StackIteratorOfStackOfDocument::Value | ( |  | ) | const

## Field Documentation

Standard_Address CDM_StackIteratorOfStackOfDocument::current `[private]`

The documentation for this class was generated from the following file:

- CDM_StackIteratorOfStackOfDocument.hxx